Management APIToken gates
Read a token gate
Needs `org.tokenGates.view`.
GET
/v1/orgs/{org}/token-gates/{gate}Needs org.tokenGates.view.
Authorization
bearer AuthorizationBearer <token>
An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.
In: header
Path Parameters
org*string
gate*string
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/orgs/string/token-gates/string"{ "id": "string", "name": "string", "enabled": true, "rule": { "version": 0, "root": { "type": "all", "conditions": [ { "type": "token", "chain": "string", "mint": "string", "min_amount": "string", "wallets": "string", "label": "string", "display": { "name": "string", "symbol": "string", "decimals": 0, "image": "string" } } ] } }, "schedule": { "timezone": "string", "all_day": true, "starts": "string", "ends": "string", "outside": "let_in", "starts_at": "2019-08-24T14:15:22Z", "ends_at": "2019-08-24T14:15:22Z", "state": "string" }, "refusal_message": "string", "summary": "string", "brands": [ "string" ], "apps": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}